Freeciv-3.3: packet_game_info Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_game_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | add_to_size_limit
int | aifill
enum persistent_ready | persistent_ready
enum airlifting_style | airlifting_style
bool | airlift_from_always_enabled
bool | airlift_to_always_enabled
int | angrycitizen
int | base_pollution
int | base_tech_cost
int | min_tech_cost
int | tech_leak_pct
int | border_city_radius_sq
int | border_size_effect
int | border_city_permanent_radius_sq
enum borders_mode | borders
int | base_bribe_cost
enum caravan_bonus_style | caravan_bonus_style
int | culture_vic_points
int | culture_vic_lead
int | culture_migration_pml
int | history_interest_pml
int | world_peace_turns
int | celebratesize
bool | changable_tax
int | pop_report_zeroes
bool | citizen_nationality
bool | unit_builders_nationality
int | citizen_convert_speed
int | conquest_convert_pct
int | citizen_partisans_pct
int | citymindist
int | cooling
int | coolinglevel
bv_actions | diplchance_initial_odds
enum diplomacy_mode | diplomacy
bool | fogofwar
int | food_cost
int | foodbox
int | forced_gold
int | forced_luxury
int | forced_science
int | fulltradesize
int | trade_world_rel_pct
int | min_trade_route_val
bool | reveal_trade_partner
enum goods_selection_method | goods_selection
int | global_advance_count
bool | global_advances [A_LAST]
bool | global_warming
int | globalwarming
int | gold
enum gold_upkeep_style | gold_upkeep_style
bool | homeless_gold_upkeep
int | infrapoints
enum revolen_type | revolentype
Government_type_id | default_government_id
Government_type_id | government_during_revolution_id
int | granary_food_inc
int | granary_food_ini [MAX_GRANARY_INIS]
int | granary_num_inis
int | great_wonder_owners [B_LAST]
int | happy_cost
enum happyborders_type | happyborders
int | heating
int | illness_base_factor
int | illness_min_size
bool | illness_on
int | illness_pollution_factor
int | illness_trade_infection
int | init_city_radius_sq
bool | is_edit_mode
bool | is_new_game
bool | killcitizen
bool | killstack
bool | only_killing_makes_veteran
bool | only_real_fight_makes_veteran
bool | combat_odds_scaled_veterancy
bool | damage_reduces_bombard_rate
int | low_firepower_badwallattacker
int | low_firepower_pearl_harbour
int | low_firepower_combat_bonus
int | low_firepower_nonnat_bombard
int | nuke_pop_loss_pct
int | nuke_defender_survival_chance_pct
int | min_city_center_output [O_LAST]
bool | muuk_food_wipe
bool | muuk_gold_wipe
bool | muuk_shield_wipe
int | notradesize
bool | nuclear_winter
int | nuclearwinter
int | phase
enum phase_mode_type | phase_mode
bool | pillage_select
bool | steal_maps_reveals_all_cities
bool | poison_empties_food_stock
bool | tech_steal_allow_holes
bool | tech_trade_allow_holes
bool | tech_trade_loss_allow_holes
bool | tech_parasite_allow_holes
bool | tech_loss_allow_holes
int | rapturedelay
int | disasters
bool | restrictinfra
bool | unreachable_protects
int | sciencebox
int | shieldbox
enum ai_level | skill_level
enum victory_condition_type | victory_conditions
bool | team_pooled_research
int | tech
enum tech_cost_style | tech_cost_style
enum tech_leakage_style | tech_leakage
int | tech_upkeep_divider
enum tech_upkeep_style | tech_upkeep_style
int | techloss_forgiveness
enum free_tech_method | free_tech_method
enum gameloss_style | gameloss_style
int | timeout
int | first_timeout
bool | tired_attack
int | trademindist
enum trade_revenue_style | trade_revenue_style
bool | trading_city
bool | trading_gold
bool | trading_tech
int | turn
int | warminglevel
int | year
bool | year_0_hack
int | top_cities_count
int | fragment_count
bool | civil_war_enabled
int | civil_war_bonus_celebrating
int | civil_war_bonus_unhappy
int | granularity
enum wonder_visib_type | small_wonder_visibility

## Detailed Description

Definition at line 120 of file packets_gen.h.

## Field Documentation

## ◆ add_to_size_limit

int packet_game_info::add_to_size_limit

Definition at line 121 of file packets_gen.h.

Referenced by actres_possible(), city_desirability(), expl_act_not_enabl(), helptext_unit(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ aifill

int packet_game_info::aifill

Definition at line 122 of file packets_gen.h.

Referenced by connection_attach_real(), connection_detach(), create_command_newcomer(), create_command_pregame(), game_defaults(), handle_game_info(), load_command(), load_rulesetdir(), main(), manual_command(), nationset_action(), remove_player_command(), send_packet_game_info_100(), and srv_main().

## ◆ airlift_from_always_enabled

bool packet_game_info::airlift_from_always_enabled

Definition at line 125 of file packets_gen.h.

Referenced by action_hard_reqs_actor(), get_airlift_text(), get_city_dialog_airlift_text(), get_city_dialog_airlift_value(), load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and test_unit_can_airlift_to().

## ◆ airlift_to_always_enabled

bool packet_game_info::airlift_to_always_enabled

Definition at line 126 of file packets_gen.h.

Referenced by get_airlift_text(), get_city_dialog_airlift_text(), get_city_dialog_airlift_value(), load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and test_unit_can_airlift_to().

## ◆ airlifting_style

enum airlifting_style packet_game_info::airlifting_style

Definition at line 124 of file packets_gen.h.

Referenced by action_hard_reqs_actor(), do_airline(), game_defaults(), get_airlift_text(), get_city_dialog_airlift_text(), get_city_dialog_airlift_value(), send_packet_game_info_100(), and test_unit_can_airlift_to().

## ◆ angrycitizen

int packet_game_info::angrycitizen

Definition at line 127 of file packets_gen.h.

Referenced by game_defaults(), load_ruleset_cities(), player_angry_citizens(), save_cities_ruleset(), send_packet_game_info_100(), and text_happiness_cities().

## ◆ base_bribe_cost

int packet_game_info::base_bribe_cost

Definition at line 136 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and unit_bribe_cost().

## ◆ base_pollution

int packet_game_info::base_pollution

Definition at line 128 of file packets_gen.h.

Referenced by city_pollution_types(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ base_tech_cost

int packet_game_info::base_tech_cost

Definition at line 129 of file packets_gen.h.

Referenced by load_ruleset_game(), player_tech_upkeep(), research_goal_bulbs_required(), research_total_bulbs_required(), save_game_ruleset(), send_packet_game_info_100(), and techs_precalc_data().

## ◆ border_city_permanent_radius_sq

int packet_game_info::border_city_permanent_radius_sq

Definition at line 134 of file packets_gen.h.

Referenced by load_ruleset_game(), map_claim_border(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ border_city_radius_sq

int packet_game_info::border_city_radius_sq

Definition at line 132 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and tile_border_source_radius_sq().

## ◆ border_size_effect

int packet_game_info::border_size_effect

Definition at line 133 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and tile_border_source_radius_sq().

## ◆ borders

enum borders_mode packet_game_info::borders

Definition at line 135 of file packets_gen.h.

Referenced by begin_phase(), build_landarea_map(), do_border_vision_effect(), fill_grid_sprite_array(), game_defaults(), helptext_government(), img_createmap(), map_calculate_borders(), map_claim_base(), map_claim_border(), map_claim_border_ownership(), map_update_border(), player_can_place_extra(), popup_info_text(), real_menus_init(), redraw_unit_info_label(), send_packet_game_info_100(), settler_map_iterate(), tile_border_source_radius_sq(), tile_border_source_strength(), tile_set_owner(), and unit_being_aggressive().

## ◆ caravan_bonus_style

enum caravan_bonus_style packet_game_info::caravan_bonus_style

Definition at line 137 of file packets_gen.h.

Referenced by dai_choose_trade_route(), game_defaults(), get_caravan_enter_city_trade_bonus(), and send_packet_game_info_100().

## ◆ celebratesize

int packet_game_info::celebratesize

Definition at line 143 of file packets_gen.h.

Referenced by base_city_celebrating(), city_happy(), dai_manage_taxes(), game_defaults(), helptext_government(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ changable_tax

bool packet_game_info::changable_tax

Definition at line 144 of file packets_gen.h.

Referenced by add_tax_income(), dai_manage_taxes(), get_tax_rates(), helptext_government(), load_ruleset_cities(), real_menus_init(), real_menus_update(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ citizen_convert_speed

int packet_game_info::citizen_convert_speed

Definition at line 148 of file packets_gen.h.

Referenced by citizen_convert_check(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ citizen_nationality

bool packet_game_info::citizen_nationality

Definition at line 146 of file packets_gen.h.

Referenced by api_methods_city_inspire_partisans(), check_city_migrations_player(), citizen_happiness_nationality(), citizens_convert(), citizens_convert_conquest(), citizens_count(), citizens_init(), citizens_nation_add(), citizens_nation_get(), citizens_nation_set(), citizens_print(), citizens_unit_nationality(), citizens_update(), city_destroy_callback(), city_incite_cost(), create_and_append_happiness_page(), do_city_migration(), get_unit_info_label_text2(), handle_city_nationalities(), load_ruleset_cities(), package_city(), popup_info_text(), real_city_dialog_refresh(), save_cities_ruleset(), send_packet_game_info_100(), server_remove_player(), sg_load_player_city_citizens(), sg_load_player_city_citizens(), sg_save_player_cities(), sg_save_player_units(), switch_city_callback(), text_happiness_nationality(), and unit_description().

## ◆ citizen_partisans_pct

int packet_game_info::citizen_partisans_pct

Definition at line 150 of file packets_gen.h.

Referenced by api_methods_city_inspire_partisans(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ citymindist

int packet_game_info::citymindist

Definition at line 151 of file packets_gen.h.

Referenced by actres_possible(), can_exist_at_tile(), city_desirability(), citymindist_prevents_city_on_tile(), game_defaults(), pf_get_move_scope(), send_packet_game_info_100(), and settings_game_load().

## ◆ civil_war_bonus_celebrating

int packet_game_info::civil_war_bonus_celebrating

Definition at line 254 of file packets_gen.h.

Referenced by civil_war_triggered(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ civil_war_bonus_unhappy

int packet_game_info::civil_war_bonus_unhappy

Definition at line 255 of file packets_gen.h.

Referenced by civil_war_triggered(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ civil_war_enabled

bool packet_game_info::civil_war_enabled

Definition at line 253 of file packets_gen.h.

Referenced by civil_war_possible(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ combat_odds_scaled_veterancy

bool packet_game_info::combat_odds_scaled_veterancy

Definition at line 197 of file packets_gen.h.

Referenced by combat_veterans(), diplomat_infiltrate_tile(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ conquest_convert_pct

int packet_game_info::conquest_convert_pct

Definition at line 149 of file packets_gen.h.

Referenced by citizens_convert_conquest(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ cooling

int packet_game_info::cooling

Definition at line 152 of file packets_gen.h.

Referenced by auto_workers_player(), end_turn(), game_defaults(), nuclear_winter_scaled(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ coolinglevel

int packet_game_info::coolinglevel

Definition at line 153 of file packets_gen.h.

Referenced by auto_workers_player(), end_turn(), game_defaults(), game_map_init(), nuclear_winter_scaled(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ culture_migration_pml

int packet_game_info::culture_migration_pml

Definition at line 140 of file packets_gen.h.

Referenced by city_migration_score(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ culture_vic_lead

int packet_game_info::culture_vic_lead

Definition at line 139 of file packets_gen.h.

Referenced by check_for_game_over(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ culture_vic_points

int packet_game_info::culture_vic_points

Definition at line 138 of file packets_gen.h.

Referenced by check_for_game_over(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ damage_reduces_bombard_rate

bool packet_game_info::damage_reduces_bombard_rate

Definition at line 198 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and unit_bombard_rate().

## ◆ default_government_id

Government_type_id packet_game_info::default_government_id

Definition at line 176 of file packets_gen.h.

Referenced by game_defaults(), handle_game_info(), load_ruleset_nations(), and send_packet_game_info_100().

## ◆ diplchance_initial_odds

bv_actions packet_game_info::diplchance_initial_odds

Definition at line 154 of file packets_gen.h.

Referenced by action_dice_roll_initial_odds(), game_defaults(), load_ruleset_actions(), sanity_check_ruleset_data(), save_actions_ruleset(), and send_packet_game_info_100().

## ◆ diplomacy

enum diplomacy_mode packet_game_info::diplomacy

Definition at line 155 of file packets_gen.h.

Referenced by diplomacy_possible(), game_defaults(), and send_packet_game_info_100().

## ◆ disasters

int packet_game_info::disasters

Definition at line 223 of file packets_gen.h.

Referenced by check_disasters(), game_defaults(), and send_packet_game_info_100().

## ◆ first_timeout

int packet_game_info::first_timeout

Definition at line 240 of file packets_gen.h.

Referenced by current_turn_timeout(), send_packet_game_info_100(), and timeout_action().

## ◆ fogofwar

bool packet_game_info::fogofwar

Definition at line 156 of file packets_gen.h.

Referenced by begin_turn(), check_leaving_edit_mode(), game_defaults(), handle_edit_toggle_fogofwar(), img_createmap(), map_change_seen(), send_packet_game_info_100(), sg_load_player_vision(), sg_load_player_vision(), sg_load_settings(), sg_load_settings(), sg_save_player_vision(), and srv_ready().

## ◆ food_cost

int packet_game_info::food_cost

Definition at line 157 of file packets_gen.h.

Referenced by city_support(), do_city_migration(), food_starvation(), load_ruleset_game(), min_food_surplus_for_fastest_growth(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ foodbox

int packet_game_info::foodbox

Definition at line 158 of file packets_gen.h.

Referenced by city_granary_size(), game_defaults(), and send_packet_game_info_100().

## ◆ forced_gold

int packet_game_info::forced_gold

Definition at line 159 of file packets_gen.h.

Referenced by add_tax_income(), get_tax_rates(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ forced_luxury

int packet_game_info::forced_luxury

Definition at line 160 of file packets_gen.h.

Referenced by add_tax_income(), get_tax_rates(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ forced_science

int packet_game_info::forced_science

Definition at line 161 of file packets_gen.h.

Referenced by add_tax_income(), get_tax_rates(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ fragment_count

int packet_game_info::fragment_count

Definition at line 252 of file packets_gen.h.

Referenced by api_methods_game_year_fragment(), calendar_text(), game_next_year(), handle_new_year(), is_mincalfrag_req_active(), send_packet_game_info_100(), send_year_to_clients(), and tri_req_active_turns().

## ◆ free_tech_method

enum free_tech_method packet_game_info::free_tech_method

Definition at line 237 of file packets_gen.h.

Referenced by load_ruleset_game(), pick_free_tech(), sanity_check_ruleset_data(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ fulltradesize

int packet_game_info::fulltradesize

Definition at line 162 of file packets_gen.h.

Referenced by city_waste(), cityresult_fill(), game_defaults(), and send_packet_game_info_100().

## ◆ gameloss_style

enum gameloss_style packet_game_info::gameloss_style

Definition at line 238 of file packets_gen.h.

Referenced by kill_player(), load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and wipe_unit_full().

## ◆ global_advance_count

int packet_game_info::global_advance_count

Definition at line 167 of file packets_gen.h.

Referenced by dai_tech_base_want(), game_defaults(), is_mintechs_req_active(), research_invention_set(), and send_packet_game_info_100().

## ◆ global_advances

bool packet_game_info::global_advances[A_LAST]

Definition at line 168 of file packets_gen.h.

Referenced by dai_tech_base_want(), found_new_tech(), game_defaults(), init_tech(), is_tech_req_active(), research_invention_set(), research_invention_state(), researches_init(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ global_warming

bool packet_game_info::global_warming

Definition at line 169 of file packets_gen.h.

Referenced by end_turn(), game_defaults(), get_global_warming_tooltip(), get_info_label_text_popup(), and send_packet_game_info_100().

## ◆ globalwarming

int packet_game_info::globalwarming

Definition at line 170 of file packets_gen.h.

Referenced by auto_workers_player(), end_turn(), game_defaults(), global_warming_scaled(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ gold

int packet_game_info::gold

Definition at line 171 of file packets_gen.h.

Referenced by game_defaults(), send_packet_game_info_100(), and srv_ready().

## ◆ gold_upkeep_style

enum gold_upkeep_style packet_game_info::gold_upkeep_style

Definition at line 172 of file packets_gen.h.

Referenced by city_support(), dai_calc_data(), load_ruleset_game(), player_get_expected_income(), save_game_ruleset(), send_packet_game_info_100(), update_city_activity(), and update_national_activities().

## ◆ goods_selection

enum goods_selection_method packet_game_info::goods_selection

Definition at line 166 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), unit_current_goods(), and unit_get_goods().

## ◆ government_during_revolution_id

Government_type_id packet_game_info::government_during_revolution_id

Definition at line 177 of file packets_gen.h.

Referenced by dai_go_to_war(), game_defaults(), handle_game_info(), load_ruleset_governments(), send_packet_game_info_100(), and start_revolution().

## ◆ granary_food_inc

int packet_game_info::granary_food_inc

Definition at line 178 of file packets_gen.h.

Referenced by city_granary_size(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ granary_food_ini

int packet_game_info::granary_food_ini[MAX_GRANARY_INIS]

Definition at line 179 of file packets_gen.h.

Referenced by city_granary_size(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ granary_num_inis

int packet_game_info::granary_num_inis

Definition at line 180 of file packets_gen.h.

Referenced by city_granary_size(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ granularity

int packet_game_info::granularity

Definition at line 256 of file packets_gen.h.

Referenced by city_tile_output(), fill_city_overlays_sprite_array(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ great_wonder_owners

int packet_game_info::great_wonder_owners[B_LAST]

Definition at line 181 of file packets_gen.h.

Referenced by base_want(), city_from_great_wonder(), game_defaults(), great_wonder_is_available(), great_wonder_is_built(), great_wonder_is_destroyed(), great_wonder_owner(), initialize_globals(), send_packet_game_info_100(), sg_load_players_basic(), sg_load_players_basic(), wonder_built(), and wonder_destroyed().

## ◆ happy_cost

int packet_game_info::happy_cost

Definition at line 182 of file packets_gen.h.

Referenced by choice_is_promising(), citizen_luxury_happy(), evaluate_solution(), get_entertainers(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ happyborders

enum happyborders_type packet_game_info::happyborders

Definition at line 183 of file packets_gen.h.

Referenced by game_defaults(), map_claim_border_ownership(), send_packet_game_info_100(), unit_being_aggressive(), and unit_move_consequences().

## ◆ heating

int packet_game_info::heating

Definition at line 184 of file packets_gen.h.

Referenced by auto_workers_player(), end_turn(), game_defaults(), global_warming_scaled(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ history_interest_pml

int packet_game_info::history_interest_pml

Definition at line 141 of file packets_gen.h.

Referenced by city_history_gain(), load_ruleset_game(), nation_history_gain(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ homeless_gold_upkeep

bool packet_game_info::homeless_gold_upkeep

Definition at line 173 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and update_national_activities().

## ◆ illness_base_factor

int packet_game_info::illness_base_factor

Definition at line 185 of file packets_gen.h.

Referenced by city_illness_calc(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ illness_min_size

int packet_game_info::illness_min_size

Definition at line 186 of file packets_gen.h.

Referenced by city_illness_calc(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ illness_on

bool packet_game_info::illness_on

Definition at line 187 of file packets_gen.h.

Referenced by city_dialog_update_information(), city_dialog_update_information(), city_illness_calc(), cr_entry_plague_risk(), dai_effect_value(), get_city_dialog_illness_text(), load_ruleset_game(), redraw_info_city_dialog(), save_game_ruleset(), send_packet_game_info_100(), sg_load_players(), sg_load_players(), update_city_activity(), and city_dialog::update_info_label().

## ◆ illness_pollution_factor

int packet_game_info::illness_pollution_factor

Definition at line 188 of file packets_gen.h.

Referenced by city_illness_calc(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ illness_trade_infection

int packet_game_info::illness_trade_infection

Definition at line 189 of file packets_gen.h.

Referenced by get_trade_illness(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ infrapoints

int packet_game_info::infrapoints

Definition at line 174 of file packets_gen.h.

Referenced by game_defaults(), send_packet_game_info_100(), and srv_ready().

## ◆ init_city_radius_sq

int packet_game_info::init_city_radius_sq

Definition at line 190 of file packets_gen.h.

Referenced by city_map_update_radius_sq(), cityresult_new(), create_city_virtual(), fill_grid_sprite_array(), handle_city_short_info(), load_ruleset_game(), rs_max_city_radius_sq(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ is_edit_mode

bool packet_game_info::is_edit_mode

Definition at line 191 of file packets_gen.h.

Referenced by can_conn_edit(), connection_attach_real(), edit_mode_callback(), establish_new_connection(), game_defaults(), handle_edit_mode(), handle_game_info(), key_editor_toggle(), real_menus_update(), and send_packet_game_info_100().

## ◆ is_new_game

bool packet_game_info::is_new_game

Definition at line 192 of file packets_gen.h.

Referenced by can_conn_edit_players_nation(), create_conn_menu(), debug_command(), event_cache_add_for_player(), event_cache_add_for_players(), game_defaults(), game_was_started(), handle_game_load(), is_allowed_to_take(), player_set_under_human_control(), real_set_client_page(), reset_command(), send_delegation_info(), send_packet_game_info_100(), setting_is_free_to_change(), sg_load_game(), sg_load_game(), sg_load_map_owner(), sg_load_map_owner(), sg_load_players(), sg_load_players(), sg_load_players_basic(), sg_load_players_basic(), sg_load_sanitycheck(), sg_load_sanitycheck(), sg_save_game(), show_players(), fc_client::slot_pregame_observe(), srv_main(), srv_ready(), srv_running(), start_command(), fc_client::start_page_menu(), fc_client::update_buttons(), and update_start_page_buttons().

## ◆ killcitizen

bool packet_game_info::killcitizen

Definition at line 193 of file packets_gen.h.

Referenced by game_defaults(), send_packet_game_info_100(), and unit_attack_civilian_casualties().

## ◆ killstack

bool packet_game_info::killstack

Definition at line 194 of file packets_gen.h.

Referenced by game_defaults(), helptext_extra(), is_stack_vulnerable(), and send_packet_game_info_100().

## ◆ low_firepower_badwallattacker

int packet_game_info::low_firepower_badwallattacker

Definition at line 199 of file packets_gen.h.

Referenced by get_modified_firepower(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ low_firepower_combat_bonus

int packet_game_info::low_firepower_combat_bonus

Definition at line 201 of file packets_gen.h.

Referenced by dai_unit_defense_desirability(), get_modified_firepower(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ low_firepower_nonnat_bombard

int packet_game_info::low_firepower_nonnat_bombard

Definition at line 202 of file packets_gen.h.

Referenced by get_modified_firepower(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ low_firepower_pearl_harbour

int packet_game_info::low_firepower_pearl_harbour

Definition at line 200 of file packets_gen.h.

Referenced by base_assess_defense_unit(), dai_unit_defense_desirability(), get_modified_firepower(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ min_city_center_output

int packet_game_info::min_city_center_output[O_LAST]

Definition at line 205 of file packets_gen.h.

Referenced by city_tile_output(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ min_tech_cost

int packet_game_info::min_tech_cost

Definition at line 130 of file packets_gen.h.

Referenced by load_ruleset_game(), research_goal_bulbs_required(), save_game_ruleset(), send_packet_game_info_100(), and techs_precalc_data().

## ◆ min_trade_route_val

int packet_game_info::min_trade_route_val

Definition at line 164 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and trade_from_route().

## ◆ muuk_food_wipe

bool packet_game_info::muuk_food_wipe

Definition at line 206 of file packets_gen.h.

Referenced by city_populate(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ muuk_gold_wipe

bool packet_game_info::muuk_gold_wipe

Definition at line 207 of file packets_gen.h.

Referenced by load_ruleset_cities(), save_cities_ruleset(), sell_random_unit(), and send_packet_game_info_100().

## ◆ muuk_shield_wipe

bool packet_game_info::muuk_shield_wipe

Definition at line 208 of file packets_gen.h.

Referenced by city_distribute_surplus_shields(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ notradesize

int packet_game_info::notradesize

Definition at line 209 of file packets_gen.h.

Referenced by city_waste(), game_defaults(), send_packet_game_info_100(), and set_default_city_manager().

## ◆ nuclear_winter

bool packet_game_info::nuclear_winter

Definition at line 210 of file packets_gen.h.

Referenced by end_turn(), game_defaults(), get_info_label_text_popup(), get_nuclear_winter_tooltip(), and send_packet_game_info_100().

## ◆ nuclearwinter

int packet_game_info::nuclearwinter

Definition at line 211 of file packets_gen.h.

Referenced by auto_workers_player(), end_turn(), game_defaults(), nuclear_winter_scaled(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ nuke_defender_survival_chance_pct

int packet_game_info::nuke_defender_survival_chance_pct

Definition at line 204 of file packets_gen.h.

Referenced by do_nuke_tile(), helptext_unit(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ nuke_pop_loss_pct

int packet_game_info::nuke_pop_loss_pct

Definition at line 203 of file packets_gen.h.

Referenced by do_nuke_tile(), helptext_unit(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ only_killing_makes_veteran

bool packet_game_info::only_killing_makes_veteran

Definition at line 195 of file packets_gen.h.

Referenced by combat_veterans(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ only_real_fight_makes_veteran

bool packet_game_info::only_real_fight_makes_veteran

Definition at line 196 of file packets_gen.h.

Referenced by combat_veterans(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ persistent_ready

enum persistent_ready packet_game_info::persistent_ready

Definition at line 123 of file packets_gen.h.

Referenced by reset_all_start_commands(), and send_packet_game_info_100().

## ◆ phase

int packet_game_info::phase

Definition at line 212 of file packets_gen.h.

Referenced by begin_phase(), begin_turn(), blink_turn_done_button(), can_end_turn(), connection_attach_real(), create_event(), get_info_label_text(), handle_end_phase(), handle_start_phase(), handle_unit_orders(), handle_unit_packet_common(), package_event_full(), player_set_to_ai_mode(), plrdlg_col_state(), real_output_window_append(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), sg_save_game(), srv_running(), and unit_focus_advance().

## ◆ phase_mode

enum phase_mode_type packet_game_info::phase_mode

Definition at line 213 of file packets_gen.h.

Referenced by begin_turn(), get_info_label_text(), handle_start_phase(), is_player_phase(), phasemode_help(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ pillage_select

bool packet_game_info::pillage_select

Definition at line 214 of file packets_gen.h.

Referenced by actres_possible(), load_ruleset_game(), request_unit_pillage(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ poison_empties_food_stock

bool packet_game_info::poison_empties_food_stock

Definition at line 216 of file packets_gen.h.

Referenced by load_ruleset_actions(), save_actions_ruleset(), send_packet_game_info_100(), and spy_poison().

## ◆ pop_report_zeroes

int packet_game_info::pop_report_zeroes

Definition at line 145 of file packets_gen.h.

Referenced by load_ruleset_cities(), population_to_text(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ rapturedelay

int packet_game_info::rapturedelay

Definition at line 222 of file packets_gen.h.

Referenced by city_rapture_grow(), dai_manage_taxes(), game_defaults(), and send_packet_game_info_100().

## ◆ restrictinfra

bool packet_game_info::restrictinfra

Definition at line 224 of file packets_gen.h.

Referenced by game_defaults(), restrict_infra(), and send_packet_game_info_100().

## ◆ reveal_trade_partner

bool packet_game_info::reveal_trade_partner

Definition at line 165 of file packets_gen.h.

Referenced by do_unit_establish_trade(), load_ruleset_game(), player_can_see_city_externals(), reestablish_city_trade_routes(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ revolentype

enum revolen_type packet_game_info::revolentype

Definition at line 175 of file packets_gen.h.

Referenced by game_defaults(), handle_player_change_government(), revolentype_length(), revolution_length(), send_packet_game_info_100(), and untargeted_revolution_allowed().

## ◆ sciencebox

int packet_game_info::sciencebox

Definition at line 226 of file packets_gen.h.

Referenced by api_methods_player_tech_cost(), dai_effect_value(), game_defaults(), player_tech_upkeep(), research_total_bulbs_required(), and send_packet_game_info_100().

## ◆ shieldbox

int packet_game_info::shieldbox

Definition at line 227 of file packets_gen.h.

Referenced by game_defaults(), impr_base_build_shield_cost(), impr_build_shield_cost(), impr_estimate_build_shield_cost(), impr_sell_gold(), name_and_sort_items(), send_packet_game_info_100(), utype_build_shield_cost(), and utype_build_shield_cost_base().

## ◆ skill_level

enum ai_level packet_game_info::skill_level

Definition at line 228 of file packets_gen.h.

Referenced by aifill(), create_animals(), create_barbarian_player(), create_command_newcomer(), create_command_pregame(), game_defaults(), handle_game_info(), send_packet_game_info_100(), server_ai_level(), set_ai_level(), sg_load_player_main(), sg_load_player_main(), split_player(), toggle_ai_player_direct(), and write_init_script().

## ◆ small_wonder_visibility

enum wonder_visib_type packet_game_info::small_wonder_visibility

Definition at line 257 of file packets_gen.h.

Referenced by load_ruleset_game(), plr_widget::nation_selected(), save_game_ruleset(), send_packet_game_info_100(), update_intel_wonder_dialog(), and wonder_visible_to_player().

## ◆ steal_maps_reveals_all_cities

bool packet_game_info::steal_maps_reveals_all_cities

Definition at line 215 of file packets_gen.h.

Referenced by load_ruleset_actions(), save_actions_ruleset(), send_packet_game_info_100(), and spy_steal_some_maps().

## ◆ team_pooled_research

bool packet_game_info::team_pooled_research

Definition at line 230 of file packets_gen.h.

Referenced by dai_effect_value(), game_defaults(), research_get(), research_iter_init(), research_name_translation(), research_player_iter_init(), research_pretty_name(), research_rule_name(), send_city_info(), and send_packet_game_info_100().

## ◆ tech

int packet_game_info::tech

Definition at line 231 of file packets_gen.h.

Referenced by game_defaults(), send_packet_game_info_100(), and srv_ready().

## ◆ tech_cost_style

enum tech_cost_style packet_game_info::tech_cost_style

Definition at line 232 of file packets_gen.h.

Referenced by api_methods_player_tech_cost(), dai_treaty_evaluate(), load_ruleset_game(), player_tech_upkeep(), research_goal_bulbs_required(), research_total_bulbs_required(), sanity_check_ruleset_data(), save_game_ruleset(), send_packet_game_info_100(), techs_have_fixed_costs(), and techs_precalc_data().

## ◆ tech_leak_pct

int packet_game_info::tech_leak_pct

Definition at line 131 of file packets_gen.h.

Referenced by dai_goldequiv_clause(), research_total_bulbs_required(), and send_packet_game_info_100().

## ◆ tech_leakage

enum tech_leakage_style packet_game_info::tech_leakage

Definition at line 233 of file packets_gen.h.

Referenced by dai_effect_value(), dai_goldequiv_clause(), load_ruleset_game(), research_total_bulbs_required(), save_game_ruleset(), send_packet_game_info_100(), and techs_have_fixed_costs().

## ◆ tech_loss_allow_holes

bool packet_game_info::tech_loss_allow_holes

Definition at line 221 of file packets_gen.h.

Referenced by load_ruleset_game(), pick_random_tech_to_lose(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ tech_parasite_allow_holes

bool packet_game_info::tech_parasite_allow_holes

Definition at line 220 of file packets_gen.h.

Referenced by do_tech_parasite_effects(), load_ruleset_game(), player_has_really_useful_tech_parasite(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ tech_steal_allow_holes

bool packet_game_info::tech_steal_allow_holes

Definition at line 217 of file packets_gen.h.

Referenced by choose_tech_to_steal(), create_advances_list(), diplomat_get_tech(), load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), spy_steal_popup_shared(), spy_steal_shared(), steal_a_tech(), and tech_can_be_stolen().

## ◆ tech_trade_allow_holes

bool packet_game_info::tech_trade_allow_holes

Definition at line 218 of file packets_gen.h.

Referenced by diplo_wdg::all_advances(), create_clause_menu(), dai_goldequiv_tech(), dai_share(), diplomacy_dialog_tech_callback(), diplomacy_dialog_tech_callback(), handle_diplomacy_accept_treaty_req(), load_ruleset_game(), popup_add_menu(), popup_diplomatic_objects(), save_game_ruleset(), send_packet_game_info_100(), diplo_wdg::show_menu(), and suggest_tech_exchange().

## ◆ tech_trade_loss_allow_holes

bool packet_game_info::tech_trade_loss_allow_holes

Definition at line 219 of file packets_gen.h.

Referenced by load_ruleset_game(), save_game_ruleset(), send_packet_game_info_100(), and tech_transfer().

## ◆ tech_upkeep_divider

int packet_game_info::tech_upkeep_divider

Definition at line 234 of file packets_gen.h.

Referenced by load_ruleset_game(), player_tech_upkeep(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ tech_upkeep_style

enum tech_upkeep_style packet_game_info::tech_upkeep_style

Definition at line 235 of file packets_gen.h.

Referenced by dai_goldequiv_clause(), dai_manage_taxes(), get_info_label_text_popup(), helptext_advance(), load_ruleset_game(), player_tech_upkeep(), save_game_ruleset(), science_dialog_text(), and send_packet_game_info_100().

## ◆ techloss_forgiveness

int packet_game_info::techloss_forgiveness

Definition at line 236 of file packets_gen.h.

Referenced by lose_tech(), send_packet_game_info_100(), and turns_to_tech_loss().

## ◆ timeout

int packet_game_info::timeout

Definition at line 239 of file packets_gen.h.

Referenced by current_turn_timeout(), first_timeout_action(), game_defaults(), send_packet_game_info_100(), server_sniff_all_input(), srv_main(), unitwaittime_callback(), and update_timeout().

## ◆ tired_attack

bool packet_game_info::tired_attack

Definition at line 241 of file packets_gen.h.

Referenced by helptext_unit(), is_tired_attack(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ top_cities_count

int packet_game_info::top_cities_count

Definition at line 251 of file packets_gen.h.

Referenced by game_defaults(), mr_menu::menus_sensitive(), real_menus_update(), report_top_cities(), and send_packet_game_info_100().

## ◆ trade_revenue_style

enum trade_revenue_style packet_game_info::trade_revenue_style

Definition at line 243 of file packets_gen.h.

Referenced by game_defaults(), send_packet_game_info_100(), and trade_base_between_cities().

## ◆ trade_world_rel_pct

int packet_game_info::trade_world_rel_pct

Definition at line 163 of file packets_gen.h.

Referenced by dai_choose_trade_route(), get_caravan_enter_city_trade_bonus(), send_packet_game_info_100(), and trade_base_between_cities().

## ◆ trademindist

int packet_game_info::trademindist

Definition at line 242 of file packets_gen.h.

Referenced by can_cities_trade(), game_defaults(), and send_packet_game_info_100().

## ◆ trading_city

bool packet_game_info::trading_city

Definition at line 244 of file packets_gen.h.

Referenced by clause_enabled(), game_defaults(), and send_packet_game_info_100().

## ◆ trading_gold

bool packet_game_info::trading_gold

Definition at line 245 of file packets_gen.h.

Referenced by clause_enabled(), game_defaults(), and send_packet_game_info_100().

## ◆ trading_tech

bool packet_game_info::trading_tech

Definition at line 246 of file packets_gen.h.

Referenced by clause_enabled(), game_defaults(), and send_packet_game_info_100().

## ◆ turn

int packet_game_info::turn

Definition at line 247 of file packets_gen.h.

Referenced by adjust_improvement_wants_by_effects(), api_methods_game_turn(), api_methods_game_turn_deprecated(), begin_phase(), begin_turn(), check_city_migrations_player(), check_for_game_over(), city_add_improvement(), city_build_building(), city_build_unit(), city_built_last_turn(), city_can_buy(), city_had_recent_plague(), city_illness_strike(), city_migration_score(), compat_load_030300(), create_city_virtual(), create_event(), current_turn_timeout(), dai_build_adv_adjust(), dai_diplomacy_actions(), dai_goldequiv_clause(), dai_goldequiv_tech(), dai_is_unit_tired_waiting_boat(), dai_manage_cities(), dai_manage_government(), do_city_migration(), end_phase(), end_turn(), endturn_callback(), event_cache_match(), event_cache_remove_old(), extviewer_view_cell_toggled(), first_timeout_action(), game_advance_year(), game_defaults(), generate_save_name(), get_info_label_text(), get_info_label_text_popup(), get_trade_illness(), government_change(), handle_edit_player(), handle_end_phase(), handle_end_turn(), handle_event(), handle_new_year(), handle_player_change_government(), handle_player_phase_done(), handle_tile_info(), historian_generic(), img_new(), is_age_req_active(), is_form_age_req_active(), log_civ_score_now(), make_contact(), make_history_report(), mapimg_create(), multiplier_can_be_changed(), package_event_full(), package_player_info(), player_mood(), player_tile_init(), player_update_last_war_action(), rank_users(), real_output_window_append(), really_handle_city_buy(), mr_menu::save_image(), scan_score_log(), send_current_history_report(), send_packet_game_info_100(), send_tile_info(), send_turn_done(), send_year_to_clients(), sg_load_game(), sg_load_game(), sg_load_history(), sg_load_history(), sg_load_player_city(), sg_load_player_unit(), sg_load_player_unit(), sg_save_game(), sg_save_history(), show_new_turn_info(), split_player(), srv_ready(), srv_running(), summon_barbarians(), tdc_plr_get(), tile_data_cache_new(), timeout_action(), timing_log_real(), transfer_city(), transform_unit(), tri_req_active_turns(), unit_can_do_action_now(), unit_did_action(), unit_virtual_create(), unleash_barbarians(), update_diplomatics(), fc_client::update_info_label(), update_player_tile_last_seen(), update_revolution(), and world_peace_update().

## ◆ unit_builders_nationality

bool packet_game_info::unit_builders_nationality

Definition at line 147 of file packets_gen.h.

Referenced by city_create_unit(), load_ruleset_cities(), save_cities_ruleset(), and send_packet_game_info_100().

## ◆ unreachable_protects

bool packet_game_info::unreachable_protects

Definition at line 225 of file packets_gen.h.

Referenced by pf_attack_possible(), send_packet_game_info_100(), and unit_attack_units_at_tile_result().

## ◆ victory_conditions

enum victory_condition_type packet_game_info::victory_conditions

Definition at line 229 of file packets_gen.h.

Referenced by game_defaults(), handle_game_info(), send_packet_game_info_100(), and victory_enabled().

## ◆ warminglevel

int packet_game_info::warminglevel

Definition at line 248 of file packets_gen.h.

Referenced by auto_workers_player(), end_turn(), game_defaults(), game_map_init(), global_warming_scaled(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ world_peace_turns

int packet_game_info::world_peace_turns

Definition at line 142 of file packets_gen.h.

Referenced by check_for_game_over(), load_ruleset_game(), save_game_ruleset(), and send_packet_game_info_100().

## ◆ year

int packet_game_info::year

Definition at line 249 of file packets_gen.h.

Referenced by api_methods_game_year(), begin_turn(), calendar_text(), check_for_game_over(), game_defaults(), game_next_year(), generate_save_name(), handle_new_year(), handle_spaceship_launch(), is_minyear_req_active(), log_civ_score_now(), player_tile_init(), send_packet_game_info_100(), send_year_to_clients(), sg_load_game(), sg_load_game(), sg_save_game(), srv_ready(), tri_req_active_turns(), update_player_tile_last_seen(), and year_suffix().

## ◆ year_0_hack

bool packet_game_info::year_0_hack

Definition at line 250 of file packets_gen.h.

Referenced by game_defaults(), game_next_year(), send_packet_game_info_100(), sg_load_game(), sg_load_game(), and sg_save_game().